Bug 299237 - plasma (clock-widget) crash on locale/time-format change
Summary: plasma (clock-widget) crash on locale/time-format change
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-clock (show other bugs)
Version: 4.8.90 (beta2)
Platform: Fedora RPMs Linux
: HI crash (vote)
Target Milestone: ---
Assignee: Lukáš Tinkl
URL:
Keywords:
: 300888 300910 300970 301288 301555 301596 301623 301720 301761 301882 301986 302114 302241 302406 302548 302687 302706 302711 303526 304208 304882 309839 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-05-02 13:49 UTC by Rex Dieter
Modified: 2012-11-10 12:35 UTC (History)
31 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments
New crash information added by DrKonqi (7.10 KB, text/plain)
2012-05-02 14:17 UTC, Jaroslav Reznik
Details
New crash information added by DrKonqi (8.25 KB, text/plain)
2012-06-10 09:32 UTC, David Kredba
Details
tentative patch (513 bytes, patch)
2012-06-19 13:14 UTC, Lukáš Tinkl
Details
New crash information added by DrKonqi (13.43 KB, text/plain)
2012-06-19 17:46 UTC, Elektrotechniker
Details
New crash information added by DrKonqi (6.63 KB, text/plain)
2012-06-20 21:46 UTC, Steven Sroka
Details
New crash information added by DrKonqi (15.17 KB, text/plain)
2012-06-24 07:57 UTC, Xavier Besnard
Details
New crash information added by DrKonqi (15.05 KB, text/plain)
2012-07-01 01:30 UTC, wintonian
Details
New crash information added by DrKonqi (8.92 KB, text/plain)
2012-07-03 23:42 UTC, Simon Andric
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rex Dieter 2012-05-02 13:49:54 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.1
Operating System: Linux 3.3.4-1.fc17.x86_64 x86_64
Distribution: "Fedora release 17 (Beefy Miracle)"

-- Information about the crash:
Just updated to 4.8.3 and attempted to change time format in 
systemsettings->Locale->Country/Region & Language ->Date&Time

confirmed this does not happen using 4.8.2

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f17ea08a880 (LWP 3146))]

Thread 5 (Thread 0x7f17d54da700 (LWP 3147)):
#0  0x00000034a52e8e9f in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003d16847984 in g_main_context_poll (n_fds=2, fds=0x7f17d0002bb0, timeout=-1, context=0x7f17d00009a0, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=context@entry=0x7f17d00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
#3  0x0000003d16847aa4 in g_main_context_iteration (context=0x7f17d00009a0, may_block=1) at gmain.c:3184
#4  0x00000031cdda39e6 in QEventDispatcherGlib::processEvents (this=0x7f17d00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00000031cdd7495f in QEventLoop::processEvents (this=this@entry=0x7f17d54d9cf0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000031cdd74be8 in QEventLoop::exec (this=0x7f17d54d9cf0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000031cdc785a0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00000031cdd553df in QInotifyFileSystemWatcherEngine::run (this=0x2a2ef60) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00000031cdc7b53b in QThreadPrivate::start (arg=0x2a2ef60) at thread/qthread_unix.cpp:298
#10 0x00000034a5e07d14 in start_thread (arg=0x7f17d54da700) at pthread_create.c:309
#11 0x00000034a52f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f17cffff700 (LWP 3148)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00000031d6184ab7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x31d6491980) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00000031d6184ae9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00000034a5e07d14 in start_thread (arg=0x7f17cffff700) at pthread_create.c:309
#4  0x00000034a52f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f17cb64a700 (LWP 3149)):
#0  0x00000034a52eacb3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00000031cdd54a12 in QProcessManager::run (this=0x31ce0cb6c0) at io/qprocess_unix.cpp:245
#2  0x00000031cdc7b53b in QThreadPrivate::start (arg=0x31ce0cb6c0) at thread/qthread_unix.cpp:298
#3  0x00000034a5e07d14 in start_thread (arg=0x7f17cb64a700) at pthread_create.c:309
#4  0x00000034a52f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f17ca21e700 (LWP 3158)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
#1  0x00000031cdc7b997 in wait (time=30000, this=0x3997a10) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x39976e8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00000031cdc6f2bf in QThreadPoolThread::run (this=0x3996430) at concurrent/qthreadpool.cpp:141
#4  0x00000031cdc7b53b in QThreadPrivate::start (arg=0x3996430) at thread/qthread_unix.cpp:298
#5  0x00000034a5e07d14 in start_thread (arg=0x7f17ca21e700) at pthread_create.c:309
#6  0x00000034a52f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f17ea08a880 (LWP 3146)):
[KCrash Handler]
#6  0x0000000001fdbcd0 in ?? ()
#7  0x00007f17de1da25b in Clock::paintInterface (this=0x2528d50, p=0x7fff5dbc0410, option=<optimized out>, contentsRect=...) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/applets/digital-clock/clock.cpp:476
#8  0x0000003efeb0e14d in Plasma::Applet::paint (this=0x2528d50, painter=0x7fff5dbc0410, option=0x2115c78, widget=0x0) at /usr/src/debug/kdelibs-4.8.3/plasma/applet.cpp:1466
#9  0x0000003ef13a86a9 in _q_paintItem (item=item@entry=0x2528d60, painter=painter@entry=0x7fff5dbc0410, option=option@entry=0x2115c78, widget=widget@entry=0x0, useWindowOpacity=useWindowOpacity@entry=false, painterStateProtection=painterStateProtection@entry=true) at graphicsview/qgraphicsscene.cpp:4335
#10 0x0000003ef13a89a2 in _q_paintIntoCache (pix=pix@entry=0x7fff5dbc06f0, item=item@entry=0x2528d60, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=option@entry=0x2115c78, painterStateProtection=painterStateProtection@entry=true) at graphicsview/qgraphicsscene.cpp:4373
#11 0x0000003ef13bca86 in QGraphicsScenePrivate::drawItemHelper (this=this@entry=0x2115a50, item=item@entry=0x2528d60, painter=painter@entry=0x7fff5dbc1500, option=option@entry=0x2115c78, widget=widget@entry=0x308d6b0, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4694
#12 0x0000003ef13bdae8 in QGraphicsScenePrivate::draw (this=this@entry=0x2115a50, item=item@entry=0x2528d60, painter=painter@entry=0x7fff5dbc1500, viewTransform=viewTransform@entry=0x7fff5dbc1690, transformPtr=transformPtr@entry=0x7fff5dbc0ce0, exposedRegion=exposedRegion@entry=0x28768c8, widget=0x308d6b0, opacity=opacity@entry=1, effectTransform=effectTransform@entry=0x0, wasDirtyParentSceneTransform=wasDirtyParentSceneTransform@entry=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4966
#13 0x0000003ef13be1a5 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x2115a50, item=0x2528d60, painter=0x7fff5dbc1500, viewTransform=0x7fff5dbc1690, exposedRegion=0x28768c8, widget=0x308d6b0, parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4857
#14 0x0000003ef13bd675 in QGraphicsScenePrivate::draw (this=this@entry=0x2115a50, item=item@entry=0x21a2ca0, painter=painter@entry=0x7fff5dbc1500, viewTransform=viewTransform@entry=0x7fff5dbc1690, transformPtr=transformPtr@entry=0x7fff5dbc11a0, exposedRegion=exposedRegion@entry=0x28768c8, widget=0x308d6b0, opacity=opacity@entry=1, effectTransform=effectTransform@entry=0x0, wasDirtyParentSceneTransform=wasDirtyParentSceneTransform@entry=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4996
#15 0x0000003ef13be1a5 in QGraphicsScenePrivate::drawSubtreeRecursive (this=this@entry=0x2115a50, item=0x21a2ca0, painter=painter@entry=0x7fff5dbc1500, viewTransform=viewTransform@entry=0x7fff5dbc1690, exposedRegion=exposedRegion@entry=0x28768c8, widget=widget@entry=0x308d6b0, parentOpacity=parentOpacity@entry=1, effectTransform=effectTransform@entry=0x0) at graphicsview/qgraphicsscene.cpp:4857
#16 0x0000003ef13bec7e in QGraphicsScenePrivate::drawItems (this=0x2115a50, painter=0x7fff5dbc1500, viewTransform=0x7fff5dbc1690, exposedRegion=0x28768c8, widget=0x308d6b0) at graphicsview/qgraphicsscene.cpp:4739
#17 0x0000003ef13dadf8 in QGraphicsView::paintEvent (this=0x36d1220, event=<optimized out>) at graphicsview/qgraphicsview.cpp:3471
#18 0x0000003ef0e19cb2 in QWidget::event (this=0x36d1220, event=0x7fff5dbc2150) at kernel/qwidget.cpp:8508
#19 0x0000003ef11c3a66 in QFrame::event (this=0x36d1220, e=0x7fff5dbc2150) at widgets/qframe.cpp:557
#20 0x0000003ef13dbf2b in QGraphicsView::viewportEvent (this=0x36d1220, event=0x7fff5dbc2150) at graphicsview/qgraphicsview.cpp:2866
#21 0x00000031cdd75ac6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x308d6b0, event=0x7fff5dbc2150) at kernel/qcoreapplication.cpp:986
#22 0x0000003ef0dca44c in QApplicationPrivate::notify_helper (this=this@entry=0x1fe4100, receiver=receiver@entry=0x308d6b0, e=e@entry=0x7fff5dbc2150) at kernel/qapplication.cpp:4550
#23 0x0000003ef0dce9aa in QApplication::notify (this=0x1f9dbd0, receiver=0x308d6b0, e=0x7fff5dbc2150) at kernel/qapplication.cpp:4415
#24 0x0000003ef3e45a56 in KApplication::notify (this=0x1f9dbd0, receiver=0x308d6b0, event=0x7fff5dbc2150) at /usr/src/debug/kdelibs-4.8.3/kdeui/kernel/kapplication.cpp:311
#25 0x00000031cdd7595e in QCoreApplication::notifyInternal (this=0x1f9dbd0, receiver=0x308d6b0, event=0x7fff5dbc2150) at kernel/qcoreapplication.cpp:876
#26 0x0000003ef0e159c4 in sendSpontaneousEvent (event=0x7fff5dbc2150, receiver=0x308d6b0) at ../../src/corelib/kernel/qcoreapplication.h:234
#27 QWidgetPrivate::drawWidget (this=this@entry=0x36a8e50, pdev=pdev@entry=0x35dad30, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x308cef0) at kernel/qwidget.cpp:5585
#28 0x0000003ef0e164bf in QWidgetPrivate::paintSiblingsRecursive (this=0x2876440, pdev=0x35dad30, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x308cef0) at kernel/qwidget.cpp:5794
#29 0x0000003ef0e15555 in QWidgetPrivate::drawWidget (this=0x2876440, pdev=0x35dad30, rgn=..., offset=..., flags=<optimized out>, sharedPainter=0x0, backingStore=0x308cef0) at kernel/qwidget.cpp:5638
#30 0x0000003ef0fdee38 in QWidgetBackingStore::sync (this=0x308cef0) at painting/qbackingstore.cpp:1373
#31 0x0000003ef0e0a4f0 in QWidgetPrivate::syncBackingStore (this=this@entry=0x2876440) at kernel/qwidget.cpp:1891
#32 0x0000003ef0e1a2fc in QWidget::event (this=0x36d1220, event=0x48a1830) at kernel/qwidget.cpp:8655
#33 0x0000003ef11c3a66 in QFrame::event (this=0x36d1220, e=0x48a1830) at widgets/qframe.cpp:557
#34 0x0000003ef124359b in QAbstractScrollArea::event (this=0x36d1220, e=0x48a1830) at widgets/qabstractscrollarea.cpp:996
#35 0x0000003ef0dca47c in QApplicationPrivate::notify_helper (this=this@entry=0x1fe4100, receiver=receiver@entry=0x36d1220, e=e@entry=0x48a1830) at kernel/qapplication.cpp:4554
#36 0x0000003ef0dce9aa in QApplication::notify (this=0x1f9dbd0, receiver=0x36d1220, e=0x48a1830) at kernel/qapplication.cpp:4415
#37 0x0000003ef3e45a56 in KApplication::notify (this=0x1f9dbd0, receiver=0x36d1220, event=0x48a1830) at /usr/src/debug/kdelibs-4.8.3/kdeui/kernel/kapplication.cpp:311
#38 0x00000031cdd7595e in QCoreApplication::notifyInternal (this=0x1f9dbd0, receiver=receiver@entry=0x36d1220, event=event@entry=0x48a1830) at kernel/qcoreapplication.cpp:876
#39 0x00000031cdd79401 in sendEvent (event=0x48a1830, receiver=0x36d1220) at kernel/qcoreapplication.h:231
#40 QCoreApplicationPrivate::sendPostedEvents (receiver=0x36d1220, event_type=77, data=0x1f4b6e0) at kernel/qcoreapplication.cpp:1500
#41 0x0000003ef13b7bb2 in dispatchPendingUpdateRequests (this=0x2876440) at ../../src/gui/graphicsview/qgraphicsview_p.h:200
#42 QGraphicsScenePrivate::_q_processDirtyItems (this=0x2115a50) at graphicsview/qgraphicsscene.cpp:515
#43 0x0000003ef13b7d69 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:106
#44 QGraphicsScene::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:85
#45 0x00000031cdd8a1ee in QObject::event (this=0x1fdbeb0, e=<optimized out>) at kernel/qobject.cpp:1195
#46 0x0000003ef13c2774 in QGraphicsScene::event (this=0x1fdbeb0, event=0x3331180) at graphicsview/qgraphicsscene.cpp:3565
#47 0x0000003ef0dca47c in QApplicationPrivate::notify_helper (this=this@entry=0x1fe4100, receiver=receiver@entry=0x1fdbeb0, e=e@entry=0x3331180) at kernel/qapplication.cpp:4554
#48 0x0000003ef0dce9aa in QApplication::notify (this=0x1f9dbd0, receiver=0x1fdbeb0, e=0x3331180) at kernel/qapplication.cpp:4415
#49 0x0000003ef3e45a56 in KApplication::notify (this=0x1f9dbd0, receiver=0x1fdbeb0, event=0x3331180) at /usr/src/debug/kdelibs-4.8.3/kdeui/kernel/kapplication.cpp:311
#50 0x00000031cdd7595e in QCoreApplication::notifyInternal (this=0x1f9dbd0, receiver=receiver@entry=0x1fdbeb0, event=event@entry=0x3331180) at kernel/qcoreapplication.cpp:876
#51 0x00000031cdd79401 in sendEvent (event=0x3331180, receiver=0x1fdbeb0) at kernel/qcoreapplication.h:231
#52 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1f4b6e0) at kernel/qcoreapplication.cpp:1500
#53 0x00000031cdda3853 in sendPostedEvents () at kernel/qcoreapplication.h:236
#54 postEventSourceDispatch (s=s@entry=0x1fe3b80) at kernel/qeventdispatcher_glib.cpp:279
#55 0x0000003d168475cc in g_main_dispatch (context=0x1fe5700) at gmain.c:2515
#56 g_main_context_dispatch (context=context@entry=0x1fe5700) at gmain.c:3052
#57 0x0000003d168479e8 in g_main_context_iterate (context=context@entry=0x1fe5700, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3123
#58 0x0000003d16847aa4 in g_main_context_iteration (context=0x1fe5700, may_block=1) at gmain.c:3184
#59 0x00000031cdda39e6 in QEventDispatcherGlib::processEvents (this=0x1f4cba0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#60 0x0000003ef0e6a41e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#61 0x00000031cdd7495f in QEventLoop::processEvents (this=this@entry=0x7fff5dbc3b50, flags=...) at kernel/qeventloop.cpp:149
#62 0x00000031cdd74be8 in QEventLoop::exec (this=0x7fff5dbc3b50, flags=...) at kernel/qeventloop.cpp:204
#63 0x00000031cdd79718 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#64 0x0000003efcc41105 in kdemain (argc=1, argv=0x7fff5dbc3e48) at /usr/src/debug/kde-workspace-4.8.3/plasma/desktop/shell/main.cpp:120
#65 0x00000034a5221735 in __libc_start_main (main=0x4008b0 <main(int, char**)>, argc=1, ubp_av=0x7fff5dbc3e48, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff5dbc3e38) at libc-start.c:226
#66 0x00000000004008e1 in _start ()

Possible duplicates by query: bug 284131, bug 283688, bug 280792, bug 276505, bug 276402.

Reported using DrKonqi
Comment 1 Rex Dieter 2012-05-02 13:52:56 UTC
triaging to plasma/widget-clock , though this code seems to have not been touched in awhile,
kde-workspace/plasma/generic/applets/digital-clock/clock.cpp:

        //Create the localized date string if needed
        if (m_dateStyle) {
            // JPL This needs a complete rewrite for l10n issues
            KLocale tmpLocale(*KGlobal::locale());
            tmpLocale.setCalendar(calendar()->calendarType());

boom, so it may be elsewhere.
Comment 2 Jaroslav Reznik 2012-05-02 14:17:50 UTC
Created attachment 70808 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:
Changed Date & Time format in Country/Region and Language KCM.

-- Backtrace (Reduced):
#7  0x00007f7a2aec09cc in Plasma::CalendarTable::setDate (this=0x2c3d470, newDate=...) at /usr/src/debug/kde-workspace-4.8.3/libs/plasmaclock/calendartable.cpp:492
#8  0x00007f7a2aebd6b1 in Plasma::Calendar::setDate (this=0x2c37370, toDate=...) at /usr/src/debug/kde-workspace-4.8.3/libs/plasmaclock/calendar.cpp:279
#9  0x00007f7a2aeb6bd3 in ClockApplet::updateClockApplet (this=0x2bdaea0, data=...) at /usr/src/debug/kde-workspace-4.8.3/libs/plasmaclock/clockapplet.cpp:342
#10 0x00007f7a2b0e19fa in Clock::dataUpdated (this=0x2bdaea0, source=..., data=...) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/applets/digital-clock/clock.cpp:257
#11 0x00007f7a2b0e1dbd in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/kde-workspace-4.8.3/x86_64-redhat-linux-gnu/plasma/generic/applets/digital-clock/clock.moc:63
Comment 3 Jaroslav Reznik 2012-05-02 15:25:49 UTC
Just a note - the Data & Time combobox has a duplicate entries after selecting new one. I talked to Lukas, he asked me to add here as comment (so no new bug report).
Comment 4 Lukáš Tinkl 2012-05-02 15:59:00 UTC
Working on it
Comment 5 Lukáš Tinkl 2012-05-02 16:24:14 UTC
Git commit c0bd761c5d1663995f028d05ac317e492b90ea48 by Lukas Tinkl.
Committed on 02/05/2012 at 18:21.
Pushed by lukas into branch 'KDE/4.8'.

re-read the calendar on locale changes, fixes crash report in #299237
and a dozen of dupes

M  +13   -0    libs/plasmaclock/calendartable.cpp
M  +1    -0    libs/plasmaclock/calendartable.h

http://commits.kde.org/kde-workspace/c0bd761c5d1663995f028d05ac317e492b90ea48
Comment 6 Lukáš Tinkl 2012-05-02 16:26:07 UTC
Git commit 88a52f1387dfed731c5eae5a95281f33d7a07d72 by Lukas Tinkl.
Committed on 02/05/2012 at 18:21.
Pushed by lukas into branch 'master'.

re-read the calendar on locale changes, fixes crash report in #299237
and a dozen of dupes

M  +13   -0    libs/plasmaclock/calendartable.cpp
M  +1    -0    libs/plasmaclock/calendartable.h

http://commits.kde.org/kde-workspace/88a52f1387dfed731c5eae5a95281f33d7a07d72
Comment 7 Thijs 2012-05-30 20:32:09 UTC
*** Bug 300888 has been marked as a duplicate of this bug. ***
Comment 8 Jekyll Wu 2012-05-31 12:33:23 UTC
*** Bug 300910 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2012-05-31 23:27:09 UTC
*** Bug 300970 has been marked as a duplicate of this bug. ***
Comment 10 Anne-Marie Mahfouf 2012-06-10 07:40:04 UTC
*** Bug 301555 has been marked as a duplicate of this bug. ***
Comment 11 Anne-Marie Mahfouf 2012-06-10 07:43:14 UTC
Reopening, this is not fixed Lucas. See comment #10 to reproduce
My backtrace:


Thread 1 (Thread 0xb544f710 (LWP 2476)):
[KCrash Handler]
#6  0x00000026 in ?? ()
#7  0xb0b1c9f3 in Plasma::CalendarTable::setDate (this=0x85916a8, newDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendartable.cpp:495
#8  0xb0b19c84 in Plasma::Calendar::setDate (this=0x838f538, toDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendar.cpp:279
#9  0xb0b1039b in ClockApplet::updateClockApplet (this=0x82d9e50, data=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/clockapplet.cpp:342
#10 0xb08f591d in Clock::dataUpdated (this=0x82d9e50, source=..., data=...) at /usr/local/kde-master-src/kde-workspace/plasma/generic/applets/digital-clock/clock.cpp:257
#11 0xb08f8b5f in Clock::qt_static_metacall (_o=0x82d9e50, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf849d34) at /usr/local/kde-master-src/kde-workspace/build/plasma/generic/applets/digital-clock/clock.moc:64
#12 0xb6bd4198 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/local/master/qt/lib/libQtCore.so.4
#13 0xb4a5399b in Plasma::SignalRelay::dataUpdated (this=0x863b190, _t1=..., _t2=...) at /usr/local/kde-master-src/kdelibs/build/plasma/datacontainer_p.moc:99
#14 0xb4a5377c in Plasma::SignalRelay::timerEvent (this=0x863b190, event=0xbf84a24c) at /usr/local/kde-master-src/kdelibs/plasma/private/datacontainer_p.cpp:157
#15 0xb6bd3514 in QObject::event(QEvent*) () from /usr/local/master/qt/lib/libQtCore.so.4
#16 0xb6088e04 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#17 0xb609184e in QApplication::notify(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#18 0xb74238e6 in KApplication::notify (this=0x80f1708, receiver=0x863b190, event=0xbf84a24c) at /usr/local/kde-master-src/kdelibs/kdeui/kernel/kapplication.cpp:311
#19 0xb6bbdb6b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtCore.so.4
#20 0xb6bf1d26 in ?? () from /usr/local/master/qt/lib/libQtCore.so.4
#21 0xb6beea8a in ?? () from /usr/local/master/qt/lib/libQtCore.so.4
#22 0xb5648e2f in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#23 0xb5649560 in ?? () from /usr/lib/libglib-2.0.so.0
#24 0xb56497fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#25 0xb6bef22c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/local/master/qt/lib/libQtCore.so.4
#26 0xb613c895 in ?? () from /usr/local/master/qt/lib/libQtGui.so.4
#27 0xb6bbca89 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/local/master/qt/lib/libQtCore.so.4
#28 0xb6bbcd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/local/master/qt/lib/libQtCore.so.4
#29 0xb6bc197f in QCoreApplication::exec() () from /usr/local/master/qt/lib/libQtCore.so.4
#30 0xb6086c17 in QApplication::exec() () from /usr/local/master/qt/lib/libQtGui.so.4
#31 0xb1fa6c7e in kdemain (argc=1, argv=0x80a2418) at /usr/local/kde-master-src/kde-workspace/plasma/desktop/shell/main.cpp:120
#32 0x0804de1e in launch (argc=1, _name=0x80a375c "/usr/local/master/bin/plasma-desktop", args=0x80a3781 "", cwd=0x0, envc=0, envs=0x80a3785 "", reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x8053649 "0") at /usr/local/kde-master-src/kdelibs/kinit/kinit.cpp:734
#33 0x0804ee83 in handle_launcher_request (sock=8, who=0x80538e4 "launcher") at /usr/local/kde-master-src/kdelibs/kinit/kinit.cpp:1226
#34 0x0804f5ff in handle_requests (waitForPid=0) at /usr/local/kde-master-src/kdelibs/kinit/kinit.cpp:1419
#35 0x08050ef4 in main (argc=4, argv=0xbf84acd4, envp=0xbf84ace8) at /usr/local/kde-master-src/kdelibs/kinit/kinit.cpp:1907
Comment 12 Anne-Marie Mahfouf 2012-06-10 07:48:36 UTC
*** Bug 301288 has been marked as a duplicate of this bug. ***
Comment 13 David Kredba 2012-06-10 09:32:09 UTC
Created attachment 71694 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.2

- What I was doing when the application crashed:

Switched locale to Czech without log off.

-- Backtrace (Reduced):
#7  0x00007fa5af4fb72c in Plasma::CalendarTable::setDate (this=0xf33280, newDate=...) at /var/tmp/portage/kde-base/libplasmaclock-4.8.3/work/libplasmaclock-4.8.3/libs/plasmaclock/calendartable.cpp:492
#8  0x00007fa5af4f84e1 in Plasma::Calendar::setDate (this=0xa51760, toDate=...) at /var/tmp/portage/kde-base/libplasmaclock-4.8.3/work/libplasmaclock-4.8.3/libs/plasmaclock/calendar.cpp:279
#9  0x00007fa5af4f1a03 in ClockApplet::updateClockApplet (this=0xee93c0, data=...) at /var/tmp/portage/kde-base/libplasmaclock-4.8.3/work/libplasmaclock-4.8.3/libs/plasmaclock/clockapplet.cpp:342
#10 0x00007fa5af7959ea in Clock::dataUpdated (this=0xee93c0, source=..., data=...) at /var/tmp/portage/kde-base/plasma-workspace-4.8.3/work/plasma-workspace-4.8.3/plasma/generic/applets/digital-clock/clock.cpp:257
#11 0x00007fa5af795dad in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /var/tmp/portage/kde-base/plasma-workspace-4.8.3/work/plasma-workspace-4.8.3_build/plasma/generic/applets/digital-clock/clock.moc:64
Comment 14 Anne-Marie Mahfouf 2012-06-10 20:34:28 UTC
*** Bug 301596 has been marked as a duplicate of this bug. ***
Comment 15 Anne-Marie Mahfouf 2012-06-11 08:58:46 UTC
*** Bug 301623 has been marked as a duplicate of this bug. ***
Comment 16 Lukáš Tinkl 2012-06-11 13:16:40 UTC
Looks like a different crash to me then... I'll look into it
Comment 17 Jekyll Wu 2012-06-12 11:13:49 UTC
*** Bug 301720 has been marked as a duplicate of this bug. ***
Comment 18 Anne-Marie Mahfouf 2012-06-12 18:42:30 UTC
*** Bug 301761 has been marked as a duplicate of this bug. ***
Comment 19 Jekyll Wu 2012-06-14 07:58:30 UTC
*** Bug 301882 has been marked as a duplicate of this bug. ***
Comment 20 Janek Bevendorff 2012-06-16 12:33:39 UTC
*** Bug 301986 has been marked as a duplicate of this bug. ***
Comment 21 Lukáš Tinkl 2012-06-18 08:58:44 UTC
I can no longer reproduce with 4.8.4, all the duplicated backtraces indicate 4.8.3 so far
Comment 22 Jekyll Wu 2012-06-18 10:34:33 UTC
*** Bug 302114 has been marked as a duplicate of this bug. ***
Comment 23 Anne-Marie Mahfouf 2012-06-19 13:02:05 UTC
Lukas I reproduce exactly in 4.9 beta2 by following the steps indicated by Rex 

#6  0x00000001 in ?? ()
#7  0xb0a02d1f in Plasma::CalendarTable::setDate (this=0x85b3820, newDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendartable.cpp:495
#8  0xb09ffe30 in Plasma::Calendar::setDate (this=0x854a0d0, toDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendar.cpp:281
#9  0xb09f653b in ClockApplet::updateClockApplet (this=0x847eba8, data=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/clockapplet.cpp:342
#10 0xb079b91d in Clock::dataUpdated (this=0x847eba8, source=..., data=...) at /usr/local/kde-master-src/kde-workspace/plasma/generic/applets/digital-clock/clock.cpp:257
#11 0xb079eb5f in Clock::qt_static_metacall (_o=0x847eba8, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbff0f9b4) at /usr/local/kde-master-src/kde-workspace/build/plasma/generic/applets/digital-clock/clock.moc:64
#12 0xb6c75198 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/local/master/qt/lib/libQtCore.so.4
#13 0xb4af499b in Plasma::SignalRelay::dataUpdated (this=0x85eff68, _t1=..., _t2=...) at /usr/local/kde-master-src/kdelibs/build/plasma/datacontainer_p.moc:99
#14 0xb4af477c in Plasma::SignalRelay::timerEvent (this=0x85eff68, event=0xbff0fecc) at /usr/local/kde-master-src/kdelibs/plasma/private/datacontainer_p.cpp:157
#15 0xb6c74514 in QObject::event(QEvent*) () from /usr/local/master/qt/lib/libQtCore.so.4
#16 0xb6129e04 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#17 0xb613284e in QApplication::notify(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#18 0xb74c48e6 in KApplication::notify (this=0x80f1af8, receiver=0x85eff68, event=0xbff0fecc) at /usr/local/kde-master-src/kdelibs/kdeui/kernel/kapplication.cpp:311
Comment 24 Lukáš Tinkl 2012-06-19 13:14:37 UTC
Created attachment 71938 [details]
tentative patch

Could you please try the attached patch if it fixes the problem for you?
Comment 25 Anne-Marie Mahfouf 2012-06-19 14:03:25 UTC
Applied the patch still the same crash 
#7  0xb071fd2e in Plasma::CalendarTable::setDate (this=0x85e6600, newDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendartable.cpp:495
Comment 26 Elektrotechniker 2012-06-19 17:46:12 UTC
Created attachment 71953 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed: Variable "Long date format:" set to "WEEKDAY DD MONTH MM YYYY" and then click on Germany-Button "Anwenden".

- Custom settings of the application: Variable "Long date format:" = "WEEKDAY DD MONTH MM YYYY"

-- Backtrace (Reduced):
#7  0x00007f894b5ca230 in Clock::paintInterface (this=0x11dcf40, p=0x7fff0d122db0, contentsRect=..., option=<optimized out>) at ../../../../../plasma/generic/applets/digital-clock/clock.cpp:476
#8  0x00007f8967271146 in Plasma::Applet::paint (this=0x11dcf40, painter=0x7fff0d122db0, option=0xe33478, widget=0x17a7b90) at ../../plasma/applet.cpp:1466
#9  0x00007f89642b797d in _q_paintItem (item=<optimized out>, painter=0x7fff0d122db0, option=0xe33478, widget=0x17a7b90, useWindowOpacity=<optimized out>, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4335
#10 0x00007f89642ceee4 in QGraphicsScenePrivate::drawItemHelper (this=0xe33250, item=0x11dcf50, painter=0x7fff0d122db0, option=0xe33478, widget=0x17a7b90, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4431
#11 0x00007f89642d134b in QGraphicsScenePrivate::draw (this=0xe33250, item=0x11dcf50, painter=0x7fff0d122db0, viewTransform=0x7fff0d122a80, transformPtr=0x7fff0d121f00, exposedRegion=0x1b85f58, widget=0x17a7b90, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4966
Comment 27 Jekyll Wu 2012-06-20 16:13:20 UTC
*** Bug 302241 has been marked as a duplicate of this bug. ***
Comment 28 Steven Sroka 2012-06-20 21:46:44 UTC
Created attachment 72003 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.90 (4.8.90) using Qt 4.8.2

- What I was doing when the application crashed:

This happens even with KDE 4.9.90.
Reproducible always.
System Settings->Locale->Languages->Set Preferred Languages to some other language->Click Apply->Let KDE configure itself->Enjoy the crash :)

Plasma also restarts.

-- Backtrace (Reduced):
#7  0x00007f231d696a5c in Plasma::CalendarTable::setDate (this=0x1c76ca0, newDate=...) at /chakra/desktop-unstable/kde-workspace/src/kde-workspace-4.8.90/libs/plasmaclock/calendartable.cpp:495
#8  0x00007f231d693721 in Plasma::Calendar::setDate (this=0x1c90bd0, toDate=...) at /chakra/desktop-unstable/kde-workspace/src/kde-workspace-4.8.90/libs/plasmaclock/calendar.cpp:279
#9  0x00007f231d68cc43 in ClockApplet::updateClockApplet (this=0x1bd0330, data=...) at /chakra/desktop-unstable/kde-workspace/src/kde-workspace-4.8.90/libs/plasmaclock/clockapplet.cpp:342
#10 0x00007f231d8b779a in Clock::dataUpdated (this=0x1bd0330, source=<optimized out>, data=...) at /chakra/desktop-unstable/kde-workspace/src/kde-workspace-4.8.90/plasma/generic/applets/digital-clock/clock.cpp:257
#11 0x00007f231d8b7b5d in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /chakra/desktop-unstable/kde-workspace/src/kde-workspace-4.8.90/plasma/generic/applets/digital-clock/clock.moc:64
Comment 29 Steven Sroka 2012-06-20 21:51:14 UTC
I meant I could reproduce this even on KDE 4.8.90.
Comment 30 Xavier Besnard 2012-06-24 07:57:23 UTC
Created attachment 72087 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.90 (4.8.90) using Qt 4.8.2

- What I was doing when the application crashed:

Trying to install French language

Configuration: Kubuntu Quantal 12.10 alpha 1 updated dayly. Includes KDE 4.8.9

-- Backtrace (Reduced):
#8  0xaefa1daf in Plasma::CalendarTable::setDate (this=0x8bc9a50, newDate=...) at ../../../libs/plasmaclock/calendartable.cpp:495
#9  0xaef9df14 in Plasma::Calendar::setDate (this=0x8bc99f0, toDate=...) at ../../../libs/plasmaclock/calendar.cpp:279
#10 0xaef96b90 in ClockApplet::updateClockApplet (this=0x8b049e8, data=...) at ../../../libs/plasmaclock/clockapplet.cpp:342
#11 0xaefe51b6 in Clock::dataUpdated (this=this@entry=0x8b049e8, source=..., data=...) at ../../../../../plasma/generic/applets/digital-clock/clock.cpp:257
#12 0xaefe5606 in qt_static_metacall (_a=0xbfc48c44, _id=0, _o=0x8b049e8, _c=<optimized out>) at ./clock.moc:64
Comment 31 Jekyll Wu 2012-06-26 11:51:47 UTC
*** Bug 302406 has been marked as a duplicate of this bug. ***
Comment 32 Jekyll Wu 2012-06-26 11:52:01 UTC
*** Bug 302548 has been marked as a duplicate of this bug. ***
Comment 33 Jekyll Wu 2012-06-28 11:17:55 UTC
*** Bug 302687 has been marked as a duplicate of this bug. ***
Comment 34 Jekyll Wu 2012-06-28 16:37:53 UTC
*** Bug 302706 has been marked as a duplicate of this bug. ***
Comment 35 wintonian 2012-07-01 01:30:52 UTC
Created attachment 72248 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:

Changing the preferd language from Americain en to British en, these wre allready installed and I was just swithing them.

- Unusual behavior I noticed:

Plasma crash i.e. flickering and messed up graphics for 3 - 4 secs while plasma restarted.

-- Backtrace (Reduced):
#8  0xad4880cf in Plasma::CalendarTable::setDate(QDate const&) () from /usr/lib/libplasmaclock.so.4abi3
#9  0xad483874 in Plasma::Calendar::setDate(QDate const&) () from /usr/lib/libplasmaclock.so.4abi3
#10 0xad47a4f8 in ClockApplet::updateClockApplet(QHash<QString, QVariant> const&) () from /usr/lib/libplasmaclock.so.4abi3
[...]
#14 0xb738169d in Plasma::SignalRelay::dataUpdated (this=0x8a8d6a0, _t1=..., _t2=...) at ./datacontainer_p.moc:99
#15 0xb738182f in timerEvent (this=0x8a8d6a0, event=<optimized out>) at ../../plasma/private/datacontainer_p.cpp:157
Comment 36 Simon Andric 2012-07-03 23:42:49 UTC
Created attachment 72316 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.90 (4.8.90) using Qt 4.8.2

- What I was doing when the application crashed:

change a random setting in system settings and clicked apply.


ps. i use kubuntu 12.10, kde 4.8.90
the newest stuff

nice day
simon

-- Backtrace (Reduced):
#8  0xaee4fdaf in Plasma::CalendarTable::setDate (this=0xa5c23e0, newDate=...) at ../../../libs/plasmaclock/calendartable.cpp:495
#9  0xaee4bf14 in Plasma::Calendar::setDate (this=0xa5c26b8, toDate=...) at ../../../libs/plasmaclock/calendar.cpp:279
#10 0xaee44b90 in ClockApplet::updateClockApplet (this=0xa1542f0, data=...) at ../../../libs/plasmaclock/clockapplet.cpp:342
#11 0xaee9a1b6 in Clock::dataUpdated (this=this@entry=0xa1542f0, source=..., data=...) at ../../../../../plasma/generic/applets/digital-clock/clock.cpp:257
#12 0xaee9a606 in qt_static_metacall (_a=0xbf9700f4, _id=0, _o=0xa1542f0, _c=<optimized out>) at ./clock.moc:64
Comment 37 Jekyll Wu 2012-07-14 15:14:54 UTC
*** Bug 303526 has been marked as a duplicate of this bug. ***
Comment 38 Christoph Feck 2012-07-19 00:41:50 UTC
Is this bug still reproducible in the 4.9 RC versions? It looks like the commit for bug 302106 also fixed this one.
Comment 39 Janek Bevendorff 2012-07-19 09:14:43 UTC
I don't have any locale change crashes in 4.9rc2 anymore.
Comment 40 Xavier Besnard 2012-07-21 21:32:52 UTC
Hi, I tried the same operation, i.e changing time and time zone. But no 
crash with KDE 4.8.90.

My configuration is Kubuntu Quantal 12.10 alpha 2, updated dayly.


Le 19/07/2012 02:41, Christoph Feck a écrit :
> https://bugs.kde.org/show_bug.cgi?id=299237
>
> --- Comment #38 from Christoph Feck <christoph@maxiom.de> ---
> Is this bug still reproducible in the 4.9 RC versions? It looks like the commit
> for bug 302106 also fixed this one.
>
Comment 41 Jekyll Wu 2012-07-29 00:39:09 UTC
*** Bug 304208 has been marked as a duplicate of this bug. ***
Comment 42 Myriam Schweingruber 2012-08-06 01:27:15 UTC
*** Bug 302711 has been marked as a duplicate of this bug. ***
Comment 43 Jekyll Wu 2012-08-10 02:51:57 UTC
*** Bug 304882 has been marked as a duplicate of this bug. ***
Comment 44 Christoph Feck 2012-11-10 12:35:19 UTC
*** Bug 309839 has been marked as a duplicate of this bug. ***